/*************************************************************************

   Version 2.0 of NST include file nst_errm.h
   Error messages

   Copyright by Helge Ritter 1992
* $Log: nst_errm.h,v $
* Revision 1.3  1997/04/02 14:08:54  helge
* most man pages now in source code; some corrections;
* for list, check out new log file in main dir
*
 * Revision 1.2  1997/03/13  10:54:42  jan
 * Dependency cleanup.
 *
* Revision 1.13  1997/01/20 13:47:08  helge
* various minor changes.
*
 * Revision 1.12  1996/08/07  14:22:26  helge
 * New NST-Version 4.8 / Neo-Version 2.8  accumulating major changes
 *
 * Revision 1.11  1995/07/31  09:22:29  helge
 * some minor changes.
 *
* Revision 1.9  1995/07/16 20:54:36  helge
* enhanced rpc_unit to make remote units from neo's *.NST-files
* extended nst_rpd.c, nst_rpd_add accordingly [changes disabled by
* undefing NEO in nst_rpd_add.c]
* provided 8-bit versions of some nst-units [nst_math8 etc.]
*
 * Revision 1.8  1995/03/06  12:42:22  helge
 * (intermediate check in, final version follows shortly)
 *
 * Revision 1.7  1994/01/12  15:16:51  walter
 * fixed some stuff
 *
**************************************************************************/
#ifndef __NST_ERRM_H
#define __NST_ERRM_H

#ifndef NST_ERRORCHECKING_OFF 
#define write_pix  error_spotting(write_pix)
#define exec_unit  error_spotting(exec_unit) 
#define adapt_unit  error_spotting(adapt_unit)
#define ctrl_unit  error_spotting(ctrl_unit)
#define load_unit  error_spotting(load_unit)
#define save_unit  error_spotting(save_unit)
#define void_unit  error_spotting(void_unit)
#define primitive_unit  error_spotting(primitive_unit)
#define remove_unit  error_spotting(remove_unit)
#define queue_unit  error_spotting(queue_unit)
#define join       error_spotting(join)
#define joinfields error_spotting(joinfields)
#define joinvar    error_spotting(joinvar)
#define read_file  error_spotting(read_file)
#define write_file  error_spotting(write_file)
#define set_restriction error_spotting(set_restriction)
#define get_restriction error_spotting(get_restriction)
#define set_field_width error_spotting(set_field_width)
#define NSTTRAFO error_spotting(NSTTRAFO)
#define PRINTF error_spotting(PRINTF)
#define FPRINTF error_spotting(FPRINTF)
#define joinarrbystr	error_spotting(joinarrbystr)
#else  /* minimal tracing: */
   #define joinfields \
   (ERROR_LINE=__LINE__,joinfields)
#endif

#endif
