/***********************************************************************

  include file nst_numr.h: some routines from Numerical Recipes

  [ *not* part of the NST-Distribution ] 

 * $Source: /vol/ni/src/cvsroot/nst5/nstsrc/nst_numr.h,v $
 * $Log: nst_numr.h,v $
 * Revision 1.3  1997/04/02 14:09:28  helge
 * most man pages now in source code; some corrections;
 * for list, check out new log file in main dir
 *
 * Revision 1.2  1997/03/13  10:55:26  jan
 * Dependency cleanup.
 *
 * Revision 1.2  1997/01/20 13:48:23  helge
 * various minor changes.
 *
 * Revision 1.1  1996/08/07  14:48:00  helge
 * Initial revision
 *

***********************************************************************/
#ifndef __NST_NUMR_H
#define __NST_NUMR_H

extern void lubksb(float **a,int n,int *indx, float *b);
extern void lubksb0(float *a,int n,int *indx, float *b);
extern void ludcmp(float **a, int n, int *indx, float *d);
extern void ludcmp0(float *a, int n, int *indx, float *d);
extern float solve_linsys(int n, float **A, float *y);
extern float solve_linsys0(int n, float *A, float *y);
extern float invert_matrix(int d1, float** A, float **Inverse);
 


#endif
