#define ALLCMDCHARS CMDS_INPUT_WINDOW"n"

#define CIRCUIT_WIDTH 1000    /* unscaled circuit width in pixels */
#define CIRCUIT_WIDTH_OLD 710 /* for backward compatibility */

#define ICONAREAS    12   /* nr of icon areas bound to methods */
#define ICONBOXMARGIN  15
#define NEO_OPER_MARGIN 5 /* margin in pixels around an operator */
#define WIRESTUMPLEN 15           /* length of stump for wires */
#define MAXFOLDERS 99
#define WIRESTEPFUDGE 3           /* smallest toleratet step in wireshape */
#define DYNARRAY_MINCOLOR  10000  /* in Neo1 and Neo3 */
#define ICONMOVE       1
#define ICONOPEN       3
#define ICONCREATEMODE 3  /* same location as ICONOPEN */
#define ICONTYPE       3  /* uses the same location as ICONCREATEMODE */
#define ICONMODIFY     4
#define ICONFILEIO     5
#define ICONMAN        5  /* uses the same location as fileio */
#define ICONEXAMPLE    6  /* uses the same location as ICONEXEC */
#define ICONEXEC       6
#define ICONREMOVE     7
#define ICONOPERATOR   8
#define ICONOPERAND    9
#define ICONINPUT     10
#define ICONOUTPUT    11
#define ICONINPUTSYM  12
#define ICONOUTPUTSYM 13
#define ICONTITLE     14

#define isCircuitBox(u) (u == CIRCUITWDW.iconbox)
#define isModuleBox(u) (u == MODULEWDW.iconbox)
#define isWireEditBox(u) (u == WIREEDITWDW.iconbox)
#define isInfoWindow(u) (u == INFOWINDOW.iconbox)
#define isNotMenue(w)  (w != &MENUEWDW)

/* options are evaluated by the following macros:
   [see the corresponding definitions for gasIconWdw in neo1.c ]
*/

#define okMoveIcon(A)          (A && strchr(A->options,'m'))
#define okSupplyNewIcon(A)     (A && strchr(A->options,'s'))
#define okSupplyCopyOfIcon(A)  (A && strchr(A->options,'S'))
#define okReceiveIcon(A)       (A && strchr(A->options,'r'))
#define okHelpIcon(A)          (A && strchr(A->options,'h'))
#define okRemoveIcon(A)        (A && strchr(A->options,'x'))
#define okOpenIcon(A)          (A && strchr(A->options,'+'))
#define okCloseIcon(A)         (A && strchr(A->options,'-'))
#define okParametrizeIcon(A)   (A && strchr(A->options,'p'))
#define okIconHasCommands(A)   (A && strchr(A->options,'c'))
#define okIconHasManPage(A)    (A && strchr((A)->options,'?'))
#define okExecIcon(A)          (A && strchr(A->options,'e'))
#define okWireIcon(A)          (A && strchr(A->options,'w'))

#define IconIsSelected(A) (vinit(A),(((vget(A,IconVarptr))->iFlags & I_is_selected)?1:0))

#define LAST_CREATE_WDW_OF(C) ((NstIconDefPrivate_t*)((C)->pPrivate))->uLastCreateWdw
#define LAST_CONFIG_WDW_OF(C) ((NstIconDefPrivate_t*)((C)->pPrivate))->uLastConfigWdw

#define DIRECT_LOAD      1
#define FORCED_LOAD      2
#define NEXT_LOAD        4
#define REPLACE_LOAD     8
#define RECOVERY_LOAD   16


