/*****************************************************************************
 *
 * vscanf.h  -  header for vscanf-related functions
 *
 * Copyright Helge Ritter, 1995
 *
 * $Source: /vol/ni/src/cvsroot/nst5/nstsrc/vscanf.h,v $
 *
 * $Log: vscanf.h,v $
 * Revision 1.4  2005/07/12 07:16:51  rhaschke
 * type correction to nst_var_list in declaration
 *
 * Revision 1.3  1997/04/02 14:11:26  helge
 * most man pages now in source code; some corrections;
 * for list, check out new log file in main dir
 *
 * Revision 1.2  1997/03/13  10:51:02  jan
 * Dependency cleanup.
 *
 *
 *****************************************************************************/

#ifndef __VSCANF_H
#define __VSCANF_H
#include <stdio.h>
#include <stdarg.h>
#include "nst_var_list.h"

extern int nst_vsscanf(char *pcStr, char *pcFmt, nst_var_list vArg);
extern int nst_vsscanf1(char *pcStr, int *piOffset, char *pcFmt, nst_var_list vArg);
extern int nst_vfscanf(FILE *fp, char *pcFmt, nst_var_list vArg);
extern char *parse3args(char *pcFmt, int *piArgs, int *piArg1, int *piArg2, int *piArg3);

#endif
